Skip to content
SENS Platform Docs

Read one global user.

GET
/v1/users/{userId}
curl --request GET \
--url https://api.dev.iot-sens.schlossers.at/v1/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
userId
required
string format: uuid

Global user details.

Media typeapplication/json
object
userId
required
string format: uuid
username
required
One of:
string
email
required
string format: email
displayName
required
string
>= 1 characters <= 200 characters
status
required
string
Allowed values: active disabled
metadata
required
object
<= 50 properties
key
additional properties
One of:
string
platformRoles
required
Array<string>
Allowed values: platform_admin
isProtected
required
boolean
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{
"status": "active",
"platformRoles": [
"platform_admin"
]
}

A safe platform error response.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: VALIDATION_FAILED AUTHENTICATION_FAILED AUTHORIZATION_FAILED RESOURCE_NOT_FOUND CONFLICT DEPENDENCY_FAILURE FLOW_FAILURE RATE_LIMITED INTERNAL_ERROR
category
required
string
Allowed values: validation authentication authorization not_found conflict dependency_failure flow_failure rate_limit internal
message
required

Safe client-facing diagnostic message.

string
correlationId
required

Correlation ID for operational investigation.

string
>= 1 characters
details

Safe bounded diagnostic details.

object
key
additional properties
One of:
string
Example
{
"error": {
"code": "VALIDATION_FAILED",
"category": "validation"
}
}
Cache-Control
string
Allowed value: no-store